# SierraClub

[![pypi-image]][pypi-url]
[![version-image]][release-url]
[![release-date-image]][release-url]
[![license-image]][license-url]
[![codecov][codecov-image]][codecov-url]
[![jupyter-book-image]][docs-url]

<!-- Links: -->
[codecov-image]: https://codecov.io/gh/entelecheia/sierraclub/branch/main/graph/badge.svg?token=5kQdiYJHiq
[codecov-url]: https://codecov.io/gh/entelecheia/sierraclub
[pypi-image]: https://img.shields.io/pypi/v/sierraclub
[license-image]: https://img.shields.io/github/license/entelecheia/sierraclub
[license-url]: https://github.com/entelecheia/sierraclub/blob/main/LICENSE
[version-image]: https://img.shields.io/github/v/release/entelecheia/sierraclub?sort=semver
[release-date-image]: https://img.shields.io/github/release-date/entelecheia/sierraclub
[release-url]: https://github.com/entelecheia/sierraclub/releases
[jupyter-book-image]: https://jupyterbook.org/en/stable/_images/badge.svg

[repo-url]: https://github.com/entelecheia/sierraclub
[pypi-url]: https://pypi.org/project/sierraclub
[docs-url]: https://sierra.entelecheia.ai
[changelog]: https://github.com/entelecheia/sierraclub/blob/main/CHANGELOG.md
[contributing guidelines]: https://github.com/entelecheia/sierraclub/blob/main/CONTRIBUTING.md
<!-- Links: -->

Analyzing Corporate Responses to Sierra Club Lawsuits: An NLP-driven Approach to Understand Strategies, Outcomes, and Implications for Environmental Protection

- Documentation: [https://sierra.entelecheia.ai][docs-url]
- GitHub: [https://github.com/entelecheia/sierraclub][repo-url]
- PyPI: [https://pypi.org/project/sierraclub][pypi-url]

The Sierra Club, one of the most influential environmental organizations in the United States, frequently files lawsuits against projects that it believes pose significant environmental risks. Companies facing such legal challenges must develop strategies to respond effectively while balancing their project objectives, reputational concerns, and environmental responsibilities. This research aims to examine how companies respond to Sierra Club lawsuits by developing an NLP pipeline that employs Large Language Models (LLMs) to analyze corporate communication patterns, response strategies, and their implications for environmental protection.

## Changelog

See the [CHANGELOG] for more information.

## Contributing

Contributions are welcome! Please see the [contributing guidelines] for more information.

## License

This project is released under the [MIT License][license-url].
